package net.knarcraft.blockhunt.manager;
/**
 * Steffion's Engine - Made by Steffion.
 * <p>
 * You're allowed to use this engine for own usage, you're not allowed to
 * republish the engine. Using this for your own plugin is allowed when a
 * credit is placed somewhere in the plugin.
 * <p>
 * Thanks for your cooperate!
 *
 * @author Steffion
 */

import net.knarcraft.blockhunt.ConfigC;
import net.knarcraft.blockhunt.MemoryStorage;
import net.knarcraft.blockhunt.PermissionsC;
import net.knarcraft.blockhunt.command.DefaultCommand;

import java.util.List;

public class CommandManager {


    public final String name;
    public final String label;
    public final String args;
    public final String argsalias;
    public final PermissionsC.Permissions permission;
    public final ConfigC help;
    public final boolean enabled;
    public final List<String> mainTABlist;
    public final DefaultCommand CMD;
    public final String usage;

    public CommandManager(String name, String label, String args, String argsalias, PermissionsC.Permissions permission, ConfigC help, Boolean enabled, List<String> mainTABlist,
                          DefaultCommand CMD, String usage) {
        this.name = name;
        this.label = label;
        this.args = args;
        this.argsalias = argsalias;
        this.permission = permission;
        this.help = help;
        this.enabled = enabled;
        this.mainTABlist = mainTABlist;
        this.CMD = CMD;
        this.usage = usage;

        MemoryStorage.commands.add(this);
    }
}
