Contributing to BlockHunt
====

If you want to contribute to BlockHunt you're welcome to do so!
Just code what you would like to see or help with "Accepted" issues.

When committing use the following symbols:

*
    + For new features/code.
*
    - For removed code.
*
    * For fixes, like bugs.
* ~ Changed stuff/others.

Thanks for helping!

Read before posting issue
====
So if you have an issue regarding BlockHunt that's fine, just go through this check list before you go writing up new
issues that we have to deal with.

1: Plugins - The plugins that BlockHunt requires are ProtocolLib and LibsDisguise, both of these should be updated and
should be tested to see if they are working.

2: Bugs - Have you found a bug? Make sure it isn't anything else to do with the plugin. If you are reporting a bug after
you have updated to a new Bukkit/Spigot version then that is ok because with every new version comes new bugs

3: Conflicting plugin - These are the most common issue with BlockHunt, if you have installed a plugin and BlockHunt is
giving an error, then remove that plugin and don't go putting issues on that are not needed.

4: Ideas - New ideas are needed as always but please don't go spamming us saying "Add MySQL", Add this and that and
that. Some things we will add to improve BlockHunt but if we say that were not going to implement an idea into BlockHunt
then we won't

5: False Reports - Adding false issues to this page will only make our lives more difficult, if you're going to troll
then do it on someone else's plugin because personally that is the last thing on my mind.

6: Check everything - If you can't PVP in a BlockHunt arena then check every single last setting including your
WorldGuard settings and even your server.properties file as that has a true/false check for PVP

7: Check if the issue already exists - Look on GitHub at all the issues first before you go posting an issue, we are
again sick of marking issues as duplicates and then closing them

8: If it truly is an issue, report it, and we will deal with it as soon as ;3

NOTE: Bugs will always be fixed first before implementing ideas so please don't spam us.

Also please do not message us via Bukkit as it is irritating, and we only respond to Plugin Developers

Thank you for reading this. The reason I have written this up is that we are sick to the back teeth of issues that don't
need to be reported.

Thank you,

Steffion, RandomPanda30, tempszz.
